/* base.css */

/* Reset some defaults */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  font-family: 'Roboto', Arial, sans-serif;
}

body {
  font-family: 'Roboto', Arial, sans-serif;
  line-height: 1.6;
  color: #333;
  overflow-x: hidden !important; 
}

/* Headings */
h1, h2, h3, h4, h5, h6 {
  margin-bottom: 1rem;
}

/* Utilities */
.text-center {
  text-align: center;
}

p {
    font-size: .875rem;
    line-height: 1.25rem;
}

.max-width-800 {
  max-width: 800px;
}

.max-w-300 {
  max-width: 300px;
}

.min-h-230{
  min-height: 230px;
}


.w-100 {
  width: 100%;
}

.h-100 {
  height: 100%;
}

.z-1 {
  z-index: 9 !important;
}

.px-space {
  padding-right: 6rem !important;
  padding-left: 5rem !important;
}

/* Default sizes */
.text-xs       { font-size: .75rem;    line-height: 1rem; }
.text-sm       { font-size: .875rem;   line-height: 1.25rem; }
.text-base     { font-size: 1rem;      line-height: 1.5rem; }
.text-lg       { font-size: 1.125rem;  line-height: 1.75rem; }
.text-xl       { font-size: 1.25rem;   line-height: 1.75rem; }
.text-2xl      { font-size: 1.5rem;    line-height: 2rem; }
.text-3xl      { font-size: 1.875rem;  line-height: 2.25rem; }
.text-4xl      { font-size: 2.25rem;   line-height: 2.5rem; }
.text-5xl      { font-size: 3rem;      line-height: 1; }
.text-6xl      { font-size: 3.75rem;   line-height: 1; }
.text-7xl      { font-size: 4.5rem;    line-height: 1; }
.text-xl7      { font-size: 5rem;      line-height: 1; }

/* Responsive sm (min-width: 640px) */
@media (min-width: 640px) {
  .sm\:text-xs   { font-size: .75rem;    line-height: 1rem; }
  .sm\:text-sm   { font-size: .875rem;   line-height: 1.25rem; }
  .sm\:text-base { font-size: 1rem;      line-height: 1.5rem; }
  .sm\:text-lg   { font-size: 1.125rem;  line-height: 1.75rem; }
  .sm\:text-xl   { font-size: 1.25rem;   line-height: 1.75rem; }
  .sm\:text-2xl  { font-size: 1.5rem;    line-height: 2rem; }
  .sm\:text-3xl  { font-size: 1.875rem;  line-height: 2.25rem; }
  .sm\:text-4xl  { font-size: 2.25rem;   line-height: 2.5rem; }
  .sm\:text-5xl  { font-size: 3rem;      line-height: 1; }
  .sm\:text-6xl  { font-size: 3.75rem;   line-height: 1; }
  .sm\:text-7xl  { font-size: 4.5rem;    line-height: 1; }
  .sm\:text-xl7  { font-size: 5rem;      line-height: 1; }
}

/* Responsive md (min-width: 768px) */
@media (min-width: 768px) {
  .md\:text-xs   { font-size: .75rem;    line-height: 1rem; }
  .md\:text-sm   { font-size: .875rem;   line-height: 1.25rem; }
  .md\:text-base { font-size: 1rem;      line-height: 1.5rem; }
  .md\:text-lg   { font-size: 1.125rem;  line-height: 1.75rem; }
  .md\:text-xl   { font-size: 1.25rem;   line-height: 1.75rem; }
  .md\:text-2xl  { font-size: 1.5rem;    line-height: 2rem; }
  .md\:text-3xl  { font-size: 1.875rem;  line-height: 2.25rem; }
  .md\:text-4xl  { font-size: 2.25rem;   line-height: 2.5rem; }
  .md\:text-5xl  { font-size: 3rem;      line-height: 1; }
  .md\:text-6xl  { font-size: 3.75rem;   line-height: 1; }
  .md\:text-7xl  { font-size: 4.5rem;    line-height: 1; }
  .md\:text-xl7  { font-size: 5rem;      line-height: 1; }
}

/* Responsive lg (min-width: 1024px) */
@media (min-width: 1024px) {
  .lg\:text-xs   { font-size: .75rem;    line-height: 1rem; }
  .lg\:text-sm   { font-size: .875rem;   line-height: 1.25rem; }
  .lg\:text-base { font-size: 1rem;      line-height: 1.5rem; }
  .lg\:text-lg   { font-size: 1.125rem;  line-height: 1.75rem; }
  .lg\:text-xl   { font-size: 1.25rem;   line-height: 1.75rem; }
  .lg\:text-2xl  { font-size: 1.5rem;    line-height: 2rem; }
  .lg\:text-3xl  { font-size: 1.875rem;  line-height: 2.25rem; }
  .lg\:text-4xl  { font-size: 2.25rem;   line-height: 2.5rem; }
  .lg\:text-5xl  { font-size: 3rem;      line-height: 1; }
  .lg\:text-6xl  { font-size: 3.75rem;   line-height: 1; }
  .lg\:text-7xl  { font-size: 4.5rem;    line-height: 1; }
  .lg\:text-xl7  { font-size: 5rem;      line-height: 1; }
}

/* Responsive xl (min-width: 1280px) */
@media (min-width: 1280px) {
  .xl\:text-xs   { font-size: .75rem;    line-height: 1rem; }
  .xl\:text-sm   { font-size: .875rem;   line-height: 1.25rem; }
  .xl\:text-base { font-size: 1rem;      line-height: 1.5rem; }
  .xl\:text-lg   { font-size: 1.125rem;  line-height: 1.75rem; }
  .xl\:text-xl   { font-size: 1.25rem;   line-height: 1.75rem; }
  .xl\:text-2xl  { font-size: 1.5rem;    line-height: 2rem; }
  .xl\:text-3xl  { font-size: 1.875rem;  line-height: 2.25rem; }
  .xl\:text-4xl  { font-size: 2.25rem;   line-height: 2.5rem; }
  .xl\:text-5xl  { font-size: 3rem;      line-height: 1; }
  .xl\:text-6xl  { font-size: 3.75rem;   line-height: 1; }
  .xl\:text-7xl  { font-size: 4.5rem;    line-height: 1; }
  .xl\:text-xl7  { font-size: 5rem;      line-height: 1; }
}

/* Responsive 2xl (min-width: 1536px) */
@media (min-width: 1536px) {
  .\32 xl\:text-xs   { font-size: .75rem;    line-height: 1rem; }
  .\32 xl\:text-sm   { font-size: .875rem;   line-height: 1.25rem; }
  .\32 xl\:text-base { font-size: 1rem;      line-height: 1.5rem; }
  .\32 xl\:text-lg   { font-size: 1.125rem;  line-height: 1.75rem; }
  .\32 xl\:text-xl   { font-size: 1.25rem;   line-height: 1.75rem; }
  .\32 xl\:text-2xl  { font-size: 1.5rem;    line-height: 2rem; }
  .\32 xl\:text-3xl  { font-size: 1.875rem;  line-height: 2.25rem; }
  .\32 xl\:text-4xl  { font-size: 2.25rem;   line-height: 2.5rem; }
  .\32 xl\:text-5xl  { font-size: 3rem;      line-height: 1; }
  .\32 xl\:text-6xl  { font-size: 3.75rem;   line-height: 1; }
  .\32 xl\:text-7xl  { font-size: 4.5rem;    line-height: 1; }
  .\32 xl\:text-xl7  { font-size: 5rem;      line-height: 1; }
}


/* Other utilities */
.font-bold    { font-weight: 700; }
.font-semibold{ font-weight: 600; }
.font-medium  { font-weight: 500; }
.font-normal  { font-weight: 400; }
.italic       { font-style: italic; }
.leading-none     { line-height: 1; }
.leading-relaxed  { line-height: 1.625; }
.tracking-tight   { letter-spacing: -.025em; }
.tracking-widest  { letter-spacing: .1em; }
.text-center  { text-align: center; }


/* Custom padding top utilities */

/* Padding Top */
.pt-6 { padding-top: 4rem !important; }
.pt-7 { padding-top: 5rem !important; }
.pt-8 { padding-top: 6rem !important; }
.pt-9 { padding-top: 7rem !important; }
.pt-10 { padding-top: 8rem !important; }

/* Padding Bottom */
.pb-6 { padding-bottom: 4rem !important; }
.pb-7 { padding-bottom: 5rem !important; }
.pb-8 { padding-bottom: 6rem !important; }
.pb-9 { padding-bottom: 7rem !important; }
.pb-10 { padding-bottom: 8rem !important; }

/* Padding Left */
.pl-6 { padding-left: 4rem !important; }
.pl-7 { padding-left: 5rem !important; }
.pl-8 { padding-left: 6rem !important; }
.pl-9 { padding-left: 7rem !important; }
.pl-10 { padding-left: 8rem !important; }

/* Padding Right */
.pr-6 { padding-right: 4rem !important; }
.pr-7 { padding-right: 5rem !important; }
.pr-8 { padding-right: 6rem !important; }
.pr-9 { padding-right: 7rem !important; }
.pr-10 { padding-right: 8rem !important; }

